
/* ===== REGISTRO ===== */
.registro-exitoso{
    text-align:center;
    color: white;
}

.icono-check{
    font-size:60px;
}

.codigo-cupon{
    font-size:28px;
    font-weight:bold;
    letter-spacing:2px;
    padding:15px;
    margin:20px 0;
    border:2px dashed white;
    border-radius:8px;
}
/* ===== REGISTRO ===== */


/* ===== OVERLAY ===== */
.popup-overlay{
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.72);
    backdrop-filter: blur(6px);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 99999;

    opacity: 0;
    visibility: hidden;

    transition: .3s ease;
}

.popup-overlay.active{
    opacity: 1;
    visibility: visible;
}
/* ===== OVERLAY ===== */


/* ===== CONTENEDOR ===== */
.popup-container{
    width: 950px;
    max-width: 95%;
    min-height: 580px;

    background: #111;
    border-radius: 24px;

    overflow: hidden;

    display: grid;
    grid-template-columns: 1fr 1fr;

    position: relative;

    transform: scale(.96);
    transition: .3s ease;

    box-shadow:
    0 20px 60px rgba(0,0,0,.5);
}

.popup-overlay.active .popup-container{
    transform: scale(1);
}    
/* ===== CONTENEDOR ===== */


/* ===== CERRAR ===== */
.popup-close{
    position: absolute;
    top: 18px;
    right: 18px;

    width: 42px;
    height: 42px;

    border: none;
    border-radius: 50%;

    background: rgba(255,255,255,.08);
    color: #fff;

    font-size: 18px;
    cursor: pointer;

    z-index: 20;

    transition: .2s;
}

.popup-close:hover{
    background: rgba(255,255,255,.18);
}
/* ===== CERRAR ===== */


/* ===== LADO IZQUIERDO ===== */

.popup-left{
    position: relative;
    overflow: hidden;
}

.popup-left img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.popup-image-overlay{
    position: absolute;
    inset: 0;

    background:
    linear-gradient(
        to top,
        rgba(0,0,0,.75),
        rgba(0,0,0,.2)
    );
}

.popup-image-content{
    position: absolute;
    bottom: 40px;
    left: 40px;

    color: #fff;
}

.popup-image-content span{
    font-size: 12px;
    letter-spacing: 3px;
    opacity: .8;
}

.popup-image-content h2{
    font-size: 42px;
    margin-top: 10px;
    line-height: 1;
}
/* ===== LADO IZQUIERDO ===== */


/* ===== LADO DERECHO ===== */
.popup-right{
    background: #111;
    display: flex;
    align-items: center;
    justify-content: center;

    padding: 50px;
}

.popup-content{
    width: 100%;
    max-width: 380px;
}

.popup-badge{
    display: inline-block;

    padding: 8px 14px;

    border-radius: 50px;

    background: rgba(255,255,255,.08);

    color: #fff;

    font-size: 12px;
    letter-spacing: 1px;
}

.popup-content h1{
    color: #fff;
    font-size: 48px;
    line-height: 1;
    margin-top: 10px;
}

.popup-text{
    color: rgba(255,255,255,.7);
    margin-top: 10px;
    line-height: 1.7;
}
/* ===== LADO DERECHO ===== */

/* ===== INPUTS ===== */
#formRegistro{
    margin-top: 10px;
}

.input-group{
    margin-bottom: 16px;
}

.input-group input{
    width: 100%;
    height: 56px;

    /*border: 1px solid rgba(255,255,255,.08);*/
    border: 1px solid silver;

    background: rgba(255,255,255,.03);

    border-radius: 14px;

    padding: 0 18px;

    color: #fff;
    font-size: 15px;

    outline: none;

    transition: .2s;
}

.input-group input::placeholder{
    color: silver;
}

.input-group input:focus{
    border-color: rgba(255,255,255,.25);
    background: rgba(255,255,255,.06);
}

/*.input-group input::placeholder{
    color: rgba(255,255,255,.4);
}*/
/* ===== INPUTS ===== */


/* ===== BOTON ===== */
.btn-popup{
    width: 100%;
    height: 58px;

    border: none;
    border-radius: 14px;

    background: #fff;
    color: #111;

    font-size: 15px;
    font-weight: bold;

    cursor: pointer;
    margin-top: 15px;

    transition: .25s;
}

.btn-popup:hover{
    transform: translateY(-2px);
}
/* ===== BOTON ===== */


/* ===== FOOTER ===== */
.popup-footer{
    margin-top: 24px;
    text-align: center;
}

.popup-footer small{
    color: rgba(255,255,255,.45);
    line-height: 1.6;
}

.popup-footer p{
    margin-top: 16px;
    color: rgba(255,255,255,.65);
}

.popup-footer a{
    color: #fff;
    text-decoration: none;
    font-weight: bold;
}
/* ===== FOOTER ===== */

/* ===== RESPONSIVE ===== */
@media (max-width: 768px){

    .popup-container{
        grid-template-columns: 1fr;
        min-height: auto;
    }

    .popup-left{
        /*height: 240px;*/
        height: 140px;
    }

    .popup-right{
        /*padding: 40px 25px;*/
        padding: 10px 12px;
    }

    .popup-content h1{
        font-size: 1.5rem;
    }

    .popup-text{
        font-size: 0.7rem;
    }

    .popup-image-content h2{
        font-size: 2.5rem;
    }

    .popup-image-content{
        visibility: hidden;
    }

    .input-group input{
        height: 3rem;
    }

    .btn-popup{
        height: 3rem;
    }

    .popup-footer small{
        font-size: 0.7rem;
    }


}
/* ===== RESPONSIVE ===== */


/* ===== LOGIN ===== */
.popup-links{
    margin-top:20px;
    text-align:center;
    font-size:14px;
}

.popup-links a{
    color:#000;
    font-weight:600;
    text-decoration:none;
}

.popup-links a:hover{
    text-decoration:underline;
}

.link-recuperar{
    display:block;
    margin-bottom:15px;
}
/* ===== LOGIN ===== */

